#
# Conditional build:
%bcond_without	python2	# CPython 2.x version
%bcond_without	python3	# CPython 3.x version
%bcond_without	tests	# unit tests

Summary:	Documentation Utilities
Summary(pl.UTF-8):	Narzędzia do tworzenia dokumentacji
Name:		docutils
Version:	0.18.1
Release:	5
License:	Public Domain, BSD, GPL v3 (see COPYING.txt)
Group:		Development/Tools
# original URL, but only with major releases: http://downloads.sourceforge.net/docutils/%{name}-%{version}.tar.gz
#Source0Download: https://pypi.org/simple/docutils/
Source0:	https://files.pythonhosted.org/packages/source/d/docutils/%{name}-%{version}.tar.gz
# Source0-md5:	ca5827e2432fd58f4c8d74a6591135de
URL:		http://docutils.sourceforge.net/
%if %{with python2}
BuildRequires:	python-devel >= 1:2.7
BuildRequires:	python-setuptools
%if %{with tests}
# py3 patch assumes python3 lexer is the default, as it is since pygments 2.5.0
BuildRequires:	python-pygments >= 2.5.0
# a few tests fail with _xmlplus implementation of xml
BuildConflicts:	python-PyXML
%endif
%endif
%if %{with python3}
BuildRequires:	python3-devel >= 1:3.5
BuildRequires:	python3-setuptools
%if %{with tests}
# py3 patch assumes python3 lexer is the default, as it is since pygments 2.5.0
BuildRequires:	python3-pygments >= 2.5.0
%endif
%endif
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
Requires:	python3-%{name} = %{version}-%{release}
Obsoletes:	docutils-3 < 0.16-4
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Utilities for general- and special-purpose documentation, including
autodocumentation of Python modules. Includes reStructuredText, the
easy to read, easy to use, what-you-see-is-what-you-get plaintext
markup language.

%description -l pl.UTF-8
Narzędzia do dokumentowania ogólnego i specjalnego zastosowania, w tym
autodokumentacji modułów Pythona. Zawierają reStructuredText - łatwy
do odczytania, łatwy w użyciu język opisu tekstu typu WYSIWYG.

%package -n python-%{name}
Summary:        Text documents processing modules for Python 2.x
Summary(pl.UTF-8):      Moduły Pythona 2.x do przetwarzania dokumentów tekstowych
Group:          Development/Languages/Python
Requires:	python-modules >= 1:2.7
Requires:	python-pygments

%description -n python-%{name}
Docutils are utilities for general- and special-purpose documentation,
including autodocumentation of Python modules. Includes
reStructuredText, the easy to read, easy to use,
what-you-see-is-what-you-get plaintext markup language.

This package provides the Docutils modules for Python 2.

%description -n python-%{name} -l pl.UTF-8
Narzędzia do dokumentowania ogólnego i specjalnego zastosowania, w tym
autodokumentacji modułów Pythona. Zawierają reStructuredText - łatwy
do odczytania, łatwy w użyciu język opisu tekstu typu WYSIWYG.

Ten pakiet dostarcza moduły Docutils dla Pythona 2.

%package 2
Summary:        Documentation Utilities for Python 2.x
Summary(pl.UTF-8):	Narzędzia do tworzenia dokumentacji dla Pythona 2.x
Group:		Development/Tools
Requires:	python-%{name} = %{version}-%{release}

%description 2
Utilities for general- and special-purpose documentation, including
autodocumentation of Python modules. Includes reStructuredText, the
easy to read, easy to use, what-you-see-is-what-you-get plaintext
markup language.

This package provides the Docutils for Python 2.

%description 2 -l pl.UTF-8
Narzędzia do dokumentowania ogólnego i specjalnego zastosowania, w tym
autodokumentacji modułów Pythona. Zawierają reStructuredText - łatwy
do odczytania, łatwy w użyciu język opisu tekstu typu WYSIWYG.

Ten pakiet zawiera Docutils dla Pythona 2.

%package -n python3-%{name}
Summary:        Text documents processing modules for Python 3.x
Summary(pl.UTF-8):      Moduły Pythona 3.x do przetwarzania dokumentów tekstowych
Group:          Development/Languages/Python
Requires:	python3-modules >= 1:3.5
Requires:	python3-pygments

%description -n python3-%{name}
Docutils are utilities for general- and special-purpose documentation,
including autodocumentation of Python modules. Includes
reStructuredText, the easy to read, easy to use,
what-you-see-is-what-you-get plaintext markup language.

This package provides the Docutils modules for Python 3.

%description -n python3-%{name} -l pl.UTF-8
Narzędzia do dokumentowania ogólnego i specjalnego zastosowania, w tym
autodokumentacji modułów Pythona. Zawierają reStructuredText - łatwy
do odczytania, łatwy w użyciu język opisu tekstu typu WYSIWYG.

Ten pakiet dostarcza moduły Docutils dla Pythona 3.

%prep
%setup -q

%build
%if %{with python2}
%{__python} setup.py config build -b build-2

%if %{with tests}
PYTHONPATH=$(pwd)/build-2/lib \
%{__python} test/alltests.py
%endif
%endif

%if %{with python3}
%{__python3} setup.py config build -b build-3

%if %{with tests}
PYTHONPATH=$(pwd)/build-3/lib \
%{__python3} test/alltests.py
%endif
%endif

%install
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%py_install

for f in $RPM_BUILD_ROOT%{_bindir}/*.py ; do
	%{__mv} "${f}" "${f%.py}-2"
done

%py_postclean
%endif

%if %{with python3}
%py3_install

for f in $RPM_BUILD_ROOT%{_bindir}/*.py ; do
	%{__mv} "${f}" "${f%.py}"
done
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%if %{with python3}
%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/rst2html
%attr(755,root,root) %{_bindir}/rst2html4
%attr(755,root,root) %{_bindir}/rst2html5
%attr(755,root,root) %{_bindir}/rst2latex
%attr(755,root,root) %{_bindir}/rst2man
%attr(755,root,root) %{_bindir}/rst2odt
%attr(755,root,root) %{_bindir}/rst2odt_prepstyles
%attr(755,root,root) %{_bindir}/rst2pseudoxml
%attr(755,root,root) %{_bindir}/rst2s5
%attr(755,root,root) %{_bindir}/rst2xetex
%attr(755,root,root) %{_bindir}/rst2xml
%attr(755,root,root) %{_bindir}/rstpep2html

%files -n python3-%{name}
%defattr(644,root,root,755)
%doc BUGS.txt COPYING.txt README.txt RELEASE-NOTES.txt THANKS.txt docs
%{py3_sitescriptdir}/docutils
%{py3_sitescriptdir}/docutils-%{version}-py*.egg-info
%endif

%if %{with python2}
%files 2
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/rst*-2

%files -n python-%{name}
%defattr(644,root,root,755)
%doc BUGS.txt COPYING.txt README.txt RELEASE-NOTES.txt THANKS.txt docs
%{py_sitescriptdir}/docutils
%{py_sitescriptdir}/docutils-%{version}-py*.egg-info
%endif
%changelog
* Mon Jan 15 2024 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/docutils.git;a=log;h=auto/th/docutils-0.18.1-5

* Mon Jan 15 2024 Jan Palus <atler@pld-linux.org> 9797a7a
- R: python-pygments for code analysis; rel 5

* Fri Jun 23 2023 Jan Palus <atler@pld-linux.org> dfa760c
- R: python*-modules in python*-docutils; rel 4

* Sun Mar 27 2022 Jan Rękorajski <baggins@pld-linux.org> bc5fdc3
- Release 3 (by relup.sh)

* Sat Mar 26 2022 Jan Rękorajski <baggins@pld-linux.org> 13315cb
- rebuild with python 3.10

* Sat Mar 05 2022 Jakub Bogusz <qboosh@pld-linux.org> d80e199
- updated to 0.18.1
- removed obsolete py3 patch

* Tue Jun 15 2021 Jan Palus <atler@pld-linux.org> c47384b
- switch to python3 in main package; rel 4

* Sat Feb 27 2021 Jan Rękorajski <baggins@pld-linux.org> 4b382c2
- release 3 (by relup.sh)

* Sat Feb 27 2021 Jan Rękorajski <baggins@pld-linux.org> c1e211f
- release 2 (by relup.sh)

* Sun Mar 22 2020 Jakub Bogusz <qboosh@pld-linux.org> 93dcf25
- added py3 patch, adjusted test BRs; tests are passing for me now

* Thu Feb 06 2020 Arkadiusz Miśkiewicz <arekm@maven.pl> cdd318e
- up to 0.16

* Sat Nov 09 2019 Marcin Krol <hawk@tld-linux.org> cbb8f93
- release 2

* Wed Oct 30 2019 Jakub Bogusz <qboosh@pld-linux.org> 68dc28c
- BR: setuptools, unify pypi Source URL

* Wed Oct 30 2019 Arkadiusz Miśkiewicz <arekm@maven.pl> 3143ba5
- up to 0.15.2

* Tue Oct 29 2019 Jakub Bogusz <qboosh@pld-linux.org> 112a356
- updated to 0.15
- loose python3 BRs; strict ones were from the times of invoking 2to3 suffixed with hardcoded py3_ver
- keep docs with python modules (tool packages are optional from python PoV)

* Tue Oct 29 2019 Arkadiusz Miśkiewicz <arekm@maven.pl> 3433c60
- rel 5; rebuild for python 3.8

* Mon Oct 28 2019 Jan Rękorajski <baggins@pld-linux.org> 33dcf1a
- rebuild with python 3.8
- release 4 (by relup.sh)

* Wed Jul 18 2018 Jakub Bogusz <qboosh@pld-linux.org> 2347be9
- added unit tests

* Sun Jul 01 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> e2b3beb
- rel 3; new deps

* Sun Jul 01 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> bd4034c
- release 2 (by relup.sh)

* Sun Aug 13 2017 Arkadiusz Miśkiewicz <arekm@maven.pl> 0c9cbe4
- up to 0.14

